nagvis (1:1.9.25-2) unstable; urgency=medium

  * Add maintscript configuration to migrate php-gettext symlink to dir.
    (closes: #985287)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 15 Mar 2021 13:52:46 +0100

nagvis (1:1.9.25-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Feb 2021 14:39:50 +0100

nagvis (1:1.9.24-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Feb 2021 15:24:32 +0100

nagvis (1:1.9.23-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Oct 2020 06:06:21 +0200

nagvis (1:1.9.22-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Sep 2020 06:21:58 +0200

nagvis (1:1.9.21-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Spanish debconf translation.
    (closes: #959079)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Jul 2020 16:35:27 +0200

nagvis (1:1.9.20-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 15 May 2020 21:10:15 +0200

nagvis (1:1.9.19-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update German debconf translation.
    (closes: #958049)
  * Update Dutch debconf translation.
    (closes: #958809)
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Apr 2020 10:35:50 +0200

nagvis (1:1.9.18-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Bas Couwenberg ]
  * Add Bug-* fields to upstream metadata.
  * Add gbp.conf to use pristine-tar & --source-only-changes by default.
  * Add icinga2 option to configure its livestatus path.
    (closes: #788187)
  * Bump Standards-Version to 4.5.0, no changes.

  [ Adam Cecile ]
  * New upstream release (Closes: #949387).
  * Add myself to uploaders.

  [ Markus Frosch ]
  * [23754f8] New upstream version 1.9.18
  * [4fb1411] Remove dependency on php-php-gettext.
    Upstream has a vulnerability with CVE-2016-6175
    NagVis uses a patched version, which works since NagVis does not use the
    vulnerable feature.
    Once upstream fixes this, and it gets uploaded to Debian, we should
    revert this.
  * [b5df31f] Update config patch
  * [eb70f60] Document source of ExtNicEdit

 -- Markus Frosch <lazyfrosch@debian.org>  Tue, 24 Mar 2020 17:48:25 +0100

nagvis (1:1.9.11-1) unstable; urgency=medium

  [ Sebastien Delafond ]
  * Bump Standards-Version to 4.3.0, no changes.

  [ Markus Frosch ]
  * [3248661] New upstream version 1.9.11
  * [809595d] Update my maintainer mail address
  * [dd9327f] Update debhelper compat to 9
  * [66ea38a] Update priority to optional
  * [b2703e7] Include missing sources or document them
  * [9189b83] Update copyright
  * [214e2e5] Use libjs-jquery package instead for templates

 -- Markus Frosch <lazyfrosch@debian.org>  Fri, 25 Jan 2019 20:16:57 +0100

nagvis (1:1.9.10-1) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Update watch file for move to GitHub.
  * Bump Standards-Version to 4.2.1, no changes.

  [ Sebastien Delafond ]
  * Imported Debian patch 1:1.7.10+dfsg1-3.2
  * Update php-gettext link
  * Add Files-Excluded to debian/copyright, even though those files are
    gone in 1.9.x: this will make further repacking more straightforward,
    should it be needed
  * Add repacksuffix to debian/watch
  * New upstream version 1.9.10 (Closes: #893723, #903706)
  * Use db_stop at the end of postinst (Closes: #858042)
  * Add pt_BR translation (Closes: #903369)
  * Update Vcs-* URLs to point to salsa

 -- Sebastien Delafond <seb@debian.org>  Wed, 12 Dec 2018 07:46:19 +0100

nagvis (1:1.7.10+dfsg1-3.2) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * Fixed broken symlink php-gettext-1.0.9 (closes: #857779)

 -- Michael Ott <kc.videri@gmail.com>  Fri, 17 Mar 2017 20:24:19 +0100

nagvis (1:1.7.10+dfsg1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Depends to PHP 7.0 (Closes: #821536)
  * Update Depends to php-php-gettext (Closes: #837506)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Nov 2016 15:05:07 +0100

nagvis (1:1.7.10+dfsg1-3) unstable; urgency=medium

  * [4b7b449] Removed obsolete Pre-Depends on dpkg for dpkg-maintscript-helper
  * [e158ed0] Made check-mk-livestatus a suggestion (Closes: #742644)

 -- Markus Frosch <markus@lazyfrosch.de>  Sun, 30 Mar 2014 20:34:22 +0200

nagvis (1:1.7.10+dfsg1-2) unstable; urgency=low

  [ Mathieu Parent ]
  * [fca29f3] Refactor monitoring configuration
  * [3253395] Shinken support (Closes: #733139)

  [ Markus Frosch ]
  * [12156c3] Fix Debian watch file for +dfsg1 versions
  * [91b09f2] Added patch headers to existing patches
  * [4ee9a4c] Added privary-breach patch for cleaning up
              possible privacy breaches
  * [12156c3] Fix Debian watch file for +dfsg1 versions

 -- Markus Frosch <markus@lazyfrosch.de>  Fri, 27 Dec 2013 18:09:08 +0100

nagvis (1:1.7.10+dfsg1-1) unstable; urgency=medium

  [ victory ]
  * [8f99113] [INTL:ja] New Japanese translation (Closes: #692577)

  [ Markus Frosch ]
  * [d0b4e11] Depending on php5 instead of libapache2-mod-php5 to allow
              other PHP implementations. (Closes: #680937)
  * [61c5f43] Make sure to unregister /etc/apache2/conf.d/nagvis.conf on
              migration and purge
  * [09298c9] Moved permissions to postinst, this fixes problems on update
              (Closes: #719698)
  * [8f7d748] Moved userfiles to /var/lib/nagvis/userfiles (Closes: #706245)
  * [618eceb] Updated copyright information and README.source
  * [e21aafb] Imported Upstream version 1.7.10
  * [bdc32e6] DFSG cleaned upstream version 1.7.10+dfsg1

 -- Markus Frosch <markus@lazyfrosch.de>  Thu, 19 Dec 2013 22:15:14 +0100

nagvis (1:1.7.9+dfsg1-1~exp1) experimental; urgency=low

  * Maintainer was switched team internally to Markus Frosch
  * [95168ff] Imported Upstream version 1.7.9
              (Closes: #696235)
  * [a63479e] DFSG cleaned upstream version 1.7.9+dfsg1
  * [cd9367a] Made packaging updates for 1.7.9
  * [b403fd4] Moved config file samples/defaults out of docs (Closes: #709956)
  * [4e45ce0] Implemented Apache 2.4 support,
              with moving conf file to /etc/nagvis (Closes: #669819)
  * [0c87a9f] Fixed handling of config file migration, old configs and purge
  * [5682d4b] Update control, VCS, wrapping and standards version

 -- Markus Frosch <markus@lazyfrosch.de>  Thu, 12 Dec 2013 21:32:45 +0100

nagvis (1:1.6.6+dfsg.1-3) unstable; urgency=medium

  * Bump version number to allow smooth upgrades from squeeze-backports
    (Containing a backport versioned 1:1.6.6+dfsg.1-3~bpo60+1 by mistake)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Mon, 02 Jul 2012 12:46:07 +0200

nagvis (1:1.6.6+dfsg.1-2) unstable; urgency=low

  [ The "missed upload by 12 minutes" release ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #674859
  * [Debconf translation updates]
  * Danish (Joe Hansen).  Closes: #675774
  * Dutch; (Jeroen Schot).  Closes: #675957
  * Czech (Michal Simunek).  Closes: #675975
  * Swedish (Martin Bagge / brother).  Closes: #675993
  * Danish (Joe Hansen).  Closes: #675774
  * Russian (Yuri Kozlov).  Closes: #676249
  * German (Erik Pfannenstein).  Closes: #676412
  * Portuguese (Pedro Ribeiro).  Closes: #676493
  * Polish (Michał Kułach).  Closes: #676512
  * Italian (Beatrice Torracca).  Closes: #676525
  * French (Jean-Christophe GARNIER).  Closes: #676599
  * Spanish; (Camaleón).  Closes: #676601
  * Thanks to Christian Perrier for coordination

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Mon, 11 Jun 2012 17:59:57 +0200

nagvis (1:1.6.6+dfsg.1-1) unstable; urgency=low

  * New upstream release
  * Adjust versioning scheme to lintian's recommendation
    * Also adjust debian/watch
  * Fix debian/watch to not track beta versions

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Mon, 11 Jun 2012 17:47:22 +0200

nagvis (1:1.6.4.dfsg.1-2) unstable; urgency=low

  * Upload to unstable, after no upgrade issues have been reported

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 23 May 2012 12:16:25 +0200

nagvis (1:1.6.4.dfsg.1-1) experimental; urgency=low

  * Fix nagvis-demos: demo backend definition in
    /etc/nagvis/conf.d/demo.ini.php of nagvis-demos was ignored, works if
    shipped added to /etc/nagvis/conf.d/demo_pool.ini.php
  * Fix "Germish" in package description
  * Remove unbuildable swf files
    * Add patches/remove-shell-swf to don't use it
    * Add get-orig-source target to debian/rules
    * Add version mangle to watchfile
  * Bump standards to 3.9.3 (no further changes needed)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Tue, 06 Mar 2012 16:09:19 +0100

nagvis (1:1.6.4-1) experimental; urgency=low

  * The "gone with the wind" release.
  * New upstream release (Closes: #659723, #638234)
  * Rework debian/* move to dh and quilt and (hopefully) easier generell
    packaging
  * Update package description:  Now also works with Icinga
  * Change Package dependencies:  Drop all ndo and mysql related stuff,
    as we want to use MK Livestatus
    * Using MK Livestatus obsoletes the database configuration
      (Closes: #626456)
    * That's now the best we can do to make NagVis work out of the box
      (Closes: #655064)
  * Update debian/copyright
  * removed patches/php5.3-deprecated-ereg.dpatch; applied upstream
  * removed patches/fix-get_class-object.dpatch; no longer needed
  * removed patches/visibility_magic-set-method.dpatch; no longer needed
  * Move example maps in separate nagvis-demos package

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Mon, 26 Sep 2011 16:29:25 +0200

nagvis (1:1.4.6-2) unstable; urgency=medium

  * Add myself to uploaders
  * Acknowledge NMU (Closes: #595313)
  * Only call ucf on purge if it's available (Closes: #620037)
    * Set urgency to medium due to RC bug fix
  * Set Path to gadget files in example configuration (via
    patches/config.dpatch) (Closes: #611909)
  * Properly set "Options FollowSymLinks" in the apache configuration
    (Closes: #632333)
  * Recommend real ndoutils package instead of the virtual one; no idea why
    there is a virtual one (Closes: #598953)
  * Remove previous maintainers from Uploaders.  Thanks to Hendrik and
    Wolfgang for all their work!
  * Actually install the documentation
  * Bump standards (no changes needed)
  * Add recommended targets to debian/rules

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 07 Sep 2011 16:47:25 +0200

nagvis (1:1.4.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Only try to configure local database, if ndoutils is run localy
    (Closes: #595313)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Mon, 11 Oct 2010 13:55:28 +0200

nagvis (1:1.4.6-1) unstable; urgency=low

  [ Hendrik Frenzel ]
  * New upstream version (Closes: #533379)
  * Fixed desctiption (Closes: #560705)
  * Patched deprecated ereg to preg_match to get them work with php 5.3+

 -- Hendrik Frenzel <hfrenzel@scunc.net>  Fri, 19 Feb 2010 12:33:48 +0100

nagvis (1:1.4.5-1) UNRELEASED; urgency=low

  * (NOT RELEASED YET) New upstream release
  [ Wolfgang Barth ]
  * New upstream version
  * User uploaded maps now in /var/lib/nagvis/images/maps
    (1.3.1: /etc/maps) to avoid security problems
  * Cache location nagvis/var ist now /var/cache/nagvis
  * nagios independent htmlbase /nagvis and corresponding apache.conf
    linked to /etc/apache2/conf.d
  * README.backends.Merlin added
  * all images now in /var/lib/nagvis/images

  [ Alexander Wirt ]
  * New upstream version
  * Add myself to uploaders

  [ Hendrik Frenzel ]
  * fixed include path names in nagvis/ajax_handler.php

  [ Jan Wagner ]
  * Updating standards version to 3.8.3
    - Add README.source

 -- Wolfgang Barth <wob@swobspace.net>  Sat, 28 Nov 2009 09:23:36 +0100

nagvis (1:1.3.1-3) unstable; urgency=low

  * adjust pathnames.dpatch to form_handler.php from correct location, thanks
    Andreas Steinel (Closes: #522296)
  * add myself to Uploaders
  * move nagios3 and ndoutils-mysql to Recommends, thanks Josselin Mouette
    (Closes: #507446)
  * Bump Standards-Version to 3.8.2, no changes needed
  * add ${misc:Depends} to Depends
  * remove execute bit from images

 -- Jan Wagner <waja@cyconet.org>  Wed, 12 Aug 2009 12:49:27 +0200

nagvis (1:1.3.1-2) unstable; urgency=low

  * Added --debconf-ok to debian/post{inst,rm} (Closes: 522172)
  * Copy wui/includes/functions to the right directory (Closes: 522296)

 -- Hendrik Frenzel <hfrenzel@scunc.net>  Wed, 15 Apr 2009 15:54:05 +0200

nagvis (1:1.3.1-1) unstable; urgency=low

  * New upstream version with many new features and bugfixes
    + See http://docs.nagvis.org/1.3/en_US/changelog.html for more info.
    + added graphviz to Depends

 -- Hendrik Frenzel <hfrenzel@scunc.net>  Sat, 27 Sep 2008 12:04:13 +0200

nagvis (1:1.2.2-5) unstable; urgency=low

  * changed from nagios2 to nagios3 support (Closes: 479290)
  * debian/rules:
    + used install instead of mkdir or cp
  * debian/postinst:
    + added nagvis apache.conf symlink in /etc/apache2/conf.d
  debian/control:
    + added libapache2-mod-php5 to Depends
  * override lintian warning package-contains-empty-directory
  * debian/copyright
    + switched to format as proposed on
      http://wiki.debian.org/Proposals/CopyrightFormat

 -- Hendrik Frenzel <hfrenzel@scunc.net>  Mon, 19 May 2008 22:51:09 +0200

nagvis (1:1.2.2-4) unstable; urgency=low

  * debian/changelog:
    + changed wrong UNRELEASED tag of 1:1.2.2-2 to unstable
  * nagvis/includes/defines/global.php:
    + fixed CONST_MAINCFG to point to the right nagvis.ini.php
  * debian/postinst:
    + insert commented debconf-common variables if they are empty
  * nagvis.ini.php-sample:
    + changed variables base, htmlbase and htmlcgi defaults to fit the current
      installation paths
  * change pathnames of included/required files in some nagvis scripts

 -- Hendrik Frenzel <hfrenzel@scunc.net>  Mon, 17 Mar 2008 14:36:03 +0100

nagvis (1:1.2.2-3) unstable; urgency=low

  * fixed path of languages

 -- Hendrik Frenzel <hfrenzel@scunc.net>  Fri, 14 Mar 2008 13:32:53 +0100

nagvis (1:1.2.2-2) unstable; urgency=low

  * debian/rules
    + packed missing directories (Closes: #470635: nagvis deb package is not
      complete)
  * postinst:
    + moved debconfs db_stop after ucf is executed

 -- Hendrik Frenzel <hfrenzel@scunc.net>  Wed, 12 Mar 2008 16:45:22 +0100

nagvis (1:1.2.2-1) unstable; urgency=low

  * New upstream release with major bugfixes:
    * Fixed bug with wrong only_hard_states handling
    * Fixed Logical bug in getObjects(services)
    * Spaces in format %20 are now allowed in URLs
    * Service description is now shown in service hover menus
    * WUI: Fixed map deletion protection when map is linked in another

 -- Hendrik Frenzel <hfrenzel@scunc.net>  Wed, 13 Feb 2008 10:06:59 +0100

nagvis (1:1.2.1-1) unstable; urgency=low

  * New upstream version
  * Update Standards-Version to 3.7.3.
  * Enabled DM-Upload
  * Removed old Homepage stanza in debian/control
  * Removed bashism in debian/rules

 -- Hendrik Frenzel <hfrenzel@scunc.net>  Thu, 10 Jan 2008 01:09:06 +0100

nagvis (1:1.1-6) unstable; urgency=low

  * fixed lintian redundant-origin-field warning

 -- Hendrik Frenzel <hfrenzel@scunc.net>  Mon, 19 Nov 2007 22:44:47 +0100

nagvis (1:1.1-5) unstable; urgency=low

  * Rebuild because of hardware failures at ries.debian.org after uploading the
    package.

 -- Hendrik Frenzel <hfrenzel@scunc.net>  Sun, 18 Nov 2007 21:50:45 +0100

nagvis (1:1.1-4) unstable; urgency=low

  * Added licenses of nagvis/includes/js/overlib* (Artistic) and
    wui/includes/js/wz* (LGPL) to debian/copyright
  * Fixed Vcs-Svn and Vcs-Browser in debian/control

 -- Hendrik Frenzel <hfrenzel@scunc.net>  Tue, 30 Oct 2007 13:27:11 +0100

nagvis (1:1.1-3) unstable; urgency=low

  * Fixed symlinks
  * Removed unnecessary directories

 -- Hendrik Frenzel <hfrenzel@scunc.net>  Fri, 19 Oct 2007 10:07:13 +0200

nagvis (1:1.1-2) unstable; urgency=low

  * Symlinked images/maps and images/tempates to the apropriate directory below
    /etc/nagvis
  * Added missing debian/postrm

 -- Hendrik Frenzel <hfrenzel@scunc.net>  Fri, 19 Oct 2007 00:30:05 +0200

nagvis (1:1.1-1) unstable; urgency=low

  * New upstream release

 -- Hendrik Frenzel <hfrenzel@scunc.net>  Thu, 06 Sep 2007 19:59:30 +0200

nagvis (1.1rc3-2) unstable; urgency=low

  * Moved from misc to net section
  * Removed unneeded stuff in debian/rules
  * Installed apache.conf with ucf

 -- Hendrik Frenzel <hfrenzel@scunc.net>  Tue, 28 Aug 2007 21:09:01 +0200

nagvis (1.1rc3-1) unstable; urgency=low

  * New upstream version

 -- Hendrik Frenzel <hfrenzel@scunc.net>  Tue, 24 Jul 2007 19:57:44 +0200

nagvis (1.1rc2-1) unstable; urgency=low

  * Initial release (Closes: #433048: ITP: nagvis -- Visualization addon for
    Nagios)

 -- Hendrik Frenzel <hfrenzel@scunc.net>  Sat, 14 Jul 2007 11:37:16 +0200
